<?php

namespace B2buy\Shipping;

use DB;
use Illuminate\Database\Seeder;

class RegionAreaTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('region_areas')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'shipping.region_area.view',
                'name'      => 'View RegionArea',
            ],
            [
                'slug'      => 'shipping.region_area.create',
                'name'      => 'Create RegionArea',
            ],
            [
                'slug'      => 'shipping.region_area.edit',
                'name'      => 'Update RegionArea',
            ],
            [
                'slug'      => 'shipping.region_area.delete',
                'name'      => 'Delete RegionArea',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'shipping.region_area.verify',
                'name'      => 'Verify RegionArea',
            ],
            [
                'slug'      => 'shipping.region_area.approve',
                'name'      => 'Approve RegionArea',
            ],
            [
                'slug'      => 'shipping.region_area.publish',
                'name'      => 'Publish RegionArea',
            ],
            [
                'slug'      => 'shipping.region_area.unpublish',
                'name'      => 'Unpublish RegionArea',
            ],
            [
                'slug'      => 'shipping.region_area.cancel',
                'name'      => 'Cancel RegionArea',
            ],
            [
                'slug'      => 'shipping.region_area.archive',
                'name'      => 'Archive RegionArea',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/shipping/region_area',
                'name'        => 'RegionArea',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/shipping/region_area',
                'name'        => 'RegionArea',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'region_area',
                'name'        => 'RegionArea',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Shipping',
                'module'    => 'RegionArea',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'shipping.region_area.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
