<?php

namespace B2buy\Shipping;

use DB;
use Illuminate\Database\Seeder;

class RegionTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('regions')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'shipping.region.view',
                'name'      => 'View Region',
            ],
            [
                'slug'      => 'shipping.region.create',
                'name'      => 'Create Region',
            ],
            [
                'slug'      => 'shipping.region.edit',
                'name'      => 'Update Region',
            ],
            [
                'slug'      => 'shipping.region.delete',
                'name'      => 'Delete Region',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'shipping.region.verify',
                'name'      => 'Verify Region',
            ],
            [
                'slug'      => 'shipping.region.approve',
                'name'      => 'Approve Region',
            ],
            [
                'slug'      => 'shipping.region.publish',
                'name'      => 'Publish Region',
            ],
            [
                'slug'      => 'shipping.region.unpublish',
                'name'      => 'Unpublish Region',
            ],
            [
                'slug'      => 'shipping.region.cancel',
                'name'      => 'Cancel Region',
            ],
            [
                'slug'      => 'shipping.region.archive',
                'name'      => 'Archive Region',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/shipping/region',
                'name'        => 'Region',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/shipping/region',
                'name'        => 'Region',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'region',
                'name'        => 'Region',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Shipping',
                'module'    => 'Region',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'shipping.region.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
