<?php

namespace B2buy\Shipping;

use DB;
use Illuminate\Database\Seeder;

class ShippingTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('shippings')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'shipping.shipping.view',
                'name'      => 'View Shipping',
            ],
            [
                'slug'      => 'shipping.shipping.create',
                'name'      => 'Create Shipping',
            ],
            [
                'slug'      => 'shipping.shipping.edit',
                'name'      => 'Update Shipping',
            ],
            [
                'slug'      => 'shipping.shipping.delete',
                'name'      => 'Delete Shipping',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'shipping.shipping.verify',
                'name'      => 'Verify Shipping',
            ],
            [
                'slug'      => 'shipping.shipping.approve',
                'name'      => 'Approve Shipping',
            ],
            [
                'slug'      => 'shipping.shipping.publish',
                'name'      => 'Publish Shipping',
            ],
            [
                'slug'      => 'shipping.shipping.unpublish',
                'name'      => 'Unpublish Shipping',
            ],
            [
                'slug'      => 'shipping.shipping.cancel',
                'name'      => 'Cancel Shipping',
            ],
            [
                'slug'      => 'shipping.shipping.archive',
                'name'      => 'Archive Shipping',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/shipping/shipping',
                'name'        => 'Shipping',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/shipping/shipping',
                'name'        => 'Shipping',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'shipping',
                'name'        => 'Shipping',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Shipping',
                'module'    => 'Shipping',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'shipping.shipping.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
