Lavalite package that provides shipping management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `b2buy/shipping`.

    "b2buy/shipping": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    B2buy\Shipping\Providers\ShippingServiceProvider::class,

And also add it to alias

    'Shipping'  => B2buy\Shipping\Facades\Shipping::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=B2buy\\ShippingTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="B2buy\Shipping\Providers\ShippingServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="B2buy\Shipping\Providers\ShippingServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="B2buy\Shipping\Providers\ShippingServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/shipping/{modulename}

**User**

    http://path-to-route-folder/user/shipping/{modulename}

**Public**

    http://path-to-route-folder/shippings


### API endpoints

**List**

    http://path-to-route-folder/api/user/shipping/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/shipping/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/shipping/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/shipping/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/shipping/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/shipping/{modulename}/{slug}
    METHOD: GET