<?php

// API routes  for region
Route::prefix('{guard}/shipping')->group(function () {
    Route::get('region/form/{element}', 'RegionAPIController@form');
    Route::resource('region', 'RegionAPIController');
});

// Public routes for region
Route::get('shippings/', 'RegionPublicController@index');
Route::get('shippings/{slug?}', 'RegionPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for shippings
            Route::prefix('{guard}/shipping')->group(function () {
                Route::get('region/form/{element}', 'RegionAPIController@form');
                Route::apiResource('region', 'RegionAPIController');
            });
            // Public routes for shippings
            Route::get('shipping/Region', 'RegionPublicController@getRegion');
        }
    );
}


// API routes  for region_area
Route::prefix('{guard}/shipping')->group(function () {
    Route::get('region_area/form/{element}', 'RegionAreaAPIController@form');
    Route::resource('region_area', 'RegionAreaAPIController');
});

// Public routes for region_area
Route::get('shippings/', 'RegionAreaPublicController@index');
Route::get('shippings/{slug?}', 'RegionAreaPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for shippings
            Route::prefix('{guard}/shipping')->group(function () {
                Route::get('region_area/form/{element}', 'RegionAreaAPIController@form');
                Route::apiResource('region_area', 'RegionAreaAPIController');
            });
            // Public routes for shippings
            Route::get('shipping/RegionArea', 'RegionAreaPublicController@getRegionArea');
        }
    );
}


// API routes  for shipping
Route::prefix('{guard}/shipping')->group(function () {
    Route::get('shipping/form/{element}', 'ShippingAPIController@form');
    Route::resource('shipping', 'ShippingAPIController');
});

// Public routes for shipping
Route::get('shippings/', 'ShippingPublicController@index');
Route::get('shippings/{slug?}', 'ShippingPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for shippings
            Route::prefix('{guard}/shipping')->group(function () {
                Route::get('shipping/form/{element}', 'ShippingAPIController@form');
                Route::apiResource('shipping', 'ShippingAPIController');
            });
            // Public routes for shippings
            Route::get('shipping/Shipping', 'ShippingPublicController@getShipping');
        }
    );
}


// API routes  for region_surcharge
Route::prefix('{guard}/shipping')->group(function () {
    Route::get('region_surcharge/form/{element}', 'RegionSurchargeAPIController@form');
    Route::resource('region_surcharge', 'RegionSurchargeAPIController');
});

// Public routes for region_surcharge
Route::get('shippings/', 'RegionSurchargePublicController@index');
Route::get('shippings/{slug?}', 'RegionSurchargePublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for shippings
            Route::prefix('{guard}/shipping')->group(function () {
                Route::get('region_surcharge/form/{element}', 'RegionSurchargeAPIController@form');
                Route::apiResource('region_surcharge', 'RegionSurchargeAPIController');
            });
            // Public routes for shippings
            Route::get('shipping/RegionSurcharge', 'RegionSurchargePublicController@getRegionSurcharge');
        }
    );
}

