<?php

// web routes  for region
Route::prefix('{guard}/shipping')->group(function () {
    Route::resource('region', 'RegionResourceController');
});

// Public routes for region
Route::get('shippings/', 'RegionPublicController@index');
Route::get('shippings/{slug?}', 'RegionPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'RegionResourceController');
            });
            // Public routes for pages
            Route::get('shippings/', 'RegionPublicController@index');
            Route::get('shippings/{slug?}', 'RegionPublicController@show');
        }
    );
}


// web routes  for region_area
Route::prefix('{guard}/shipping')->group(function () {
    Route::resource('region_area', 'RegionAreaResourceController');
});

// Public routes for region_area
Route::get('shippings/', 'RegionAreaPublicController@index');
Route::get('shippings/{slug?}', 'RegionAreaPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'RegionAreaResourceController');
            });
            // Public routes for pages
            Route::get('shippings/', 'RegionAreaPublicController@index');
            Route::get('shippings/{slug?}', 'RegionAreaPublicController@show');
        }
    );
}


// web routes  for shipping
Route::prefix('{guard}/shipping')->group(function () {
    Route::resource('shipping', 'ShippingResourceController');
});

// Public routes for shipping
Route::get('shippings/', 'ShippingPublicController@index');
Route::get('shippings/{slug?}', 'ShippingPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'ShippingResourceController');
            });
            // Public routes for pages
            Route::get('shippings/', 'ShippingPublicController@index');
            Route::get('shippings/{slug?}', 'ShippingPublicController@show');
        }
    );
}


// web routes  for region_surcharge
Route::prefix('{guard}/shipping')->group(function () {
    Route::resource('region_surcharge', 'RegionSurchargeResourceController');
});

// Public routes for region_surcharge
Route::get('shippings/', 'RegionSurchargePublicController@index');
Route::get('shippings/{slug?}', 'RegionSurchargePublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'RegionSurchargeResourceController');
            });
            // Public routes for pages
            Route::get('shippings/', 'RegionSurchargePublicController@index');
            Route::get('shippings/{slug?}', 'RegionSurchargePublicController@show');
        }
    );
}

