<?php

namespace B2buy\Shipping\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Region policy
        'B2buy\Shipping\Models\Region' => \B2buy\Shipping\Policies\RegionPolicy::class,
// Bind RegionArea policy
        'B2buy\Shipping\Models\RegionArea' => \B2buy\Shipping\Policies\RegionAreaPolicy::class,
// Bind Shipping policy
        'B2buy\Shipping\Models\Shipping' => \B2buy\Shipping\Policies\ShippingPolicy::class,
// Bind RegionSurcharge policy
        'B2buy\Shipping\Models\RegionSurcharge' => \B2buy\Shipping\Policies\RegionSurchargePolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
