<?php

namespace B2buy\Shipping\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class RegionAreaTransformer extends TransformerAbstract
{
    public function transform(\B2buy\Shipping\Models\RegionArea $region_area)
    {
        return [
            'id'                => $region_area->getRouteKey(),
            'key'               => [
                'public'    => $region_area->getPublicKey(),
                'route'     => $region_area->getRouteKey(),
            ], 
            'region_id'         => $region_area->region_id,
            'post_code'         => $region_area->post_code,
            'deleted_at'        => $region_area->deleted_at,
            'url'               => [
                'public'    => trans_url('shipping/'.$region_area->getPublicKey()),
                'user'      => guard_url('shipping/region_area/'.$region_area->getRouteKey()),
            ], 
            'status'            => trans('app.'.$region_area->status),
            'created_at'        => format_date($region_area->created_at),
            'updated_at'        => format_date($region_area->updated_at),
        ];
    }
}