<?php

namespace B2buy\Shipping\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class RegionSurchargeTransformer extends TransformerAbstract
{
    public function transform(\B2buy\Shipping\Models\RegionSurcharge $region_surcharge)
    {
        return [
            'id'                => $region_surcharge->getRouteKey(),
            'key'               => [
                'public'    => $region_surcharge->getPublicKey(),
                'route'     => $region_surcharge->getRouteKey(),
            ], 
            'region_id'         => $region_surcharge->region_id,
            'sur_charge'        => $region_surcharge->sur_charge,
            'user_id'           => $region_surcharge->user_id,
            'deleted_at'        => $region_surcharge->deleted_at,
            'url'               => [
                'public'    => trans_url('shipping/'.$region_surcharge->getPublicKey()),
                'user'      => guard_url('shipping/region_surcharge/'.$region_surcharge->getRouteKey()),
            ], 
            'status'            => trans('app.'.$region_surcharge->status),
            'created_at'        => format_date($region_surcharge->created_at),
            'updated_at'        => format_date($region_surcharge->updated_at),
        ];
    }
}