<?php

namespace B2buy\Shipping\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class RegionTransformer extends TransformerAbstract
{
    public function transform(\B2buy\Shipping\Models\Region $region)
    {
        return [
            'id'                => $region->getRouteKey(),
            'key'               => [
                'public'    => $region->getPublicKey(),
                'route'     => $region->getRouteKey(),
            ], 
            'name'              => $region->name,
            'country'           => $region->country,
            'deleted_at'        => $region->deleted_at,
            'url'               => [
                'public'    => trans_url('shipping/'.$region->getPublicKey()),
                'user'      => guard_url('shipping/region/'.$region->getRouteKey()),
            ], 
            'status'            => trans('app.'.$region->status),
            'created_at'        => format_date($region->created_at),
            'updated_at'        => format_date($region->updated_at),
        ];
    }
}