<?php

namespace B2buy\Shipping\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ShippingTransformer extends TransformerAbstract
{
    public function transform(\B2buy\Shipping\Models\Shipping $shipping)
    {
        return [
            'id'                => $shipping->getRouteKey(),
            'key'               => [
                'public'    => $shipping->getPublicKey(),
                'route'     => $shipping->getRouteKey(),
            ], 
            'base_charge_per_kg' => $shipping->base_charge_per_kg,
            'base_charge'       => $shipping->base_charge,
            'additionalcharge_per_kg' => $shipping->additionalcharge_per_kg,
            'additionalcharge'  => $shipping->additionalcharge,
            'user_id'           => $shipping->user_id,
            'deleted_at'        => $shipping->deleted_at,
            'url'               => [
                'public'    => trans_url('shipping/'.$shipping->getPublicKey()),
                'user'      => guard_url('shipping/shipping/'.$shipping->getRouteKey()),
            ], 
            'status'            => trans('app.'.$shipping->status),
            'created_at'        => format_date($shipping->created_at),
            'updated_at'        => format_date($shipping->updated_at),
        ];
    }
}