<?php

namespace B2buy\Shipping;

use User;

class Shipping
{
    /**
     * $region object.
     */
    protected $region;
    /**
     * $region_area object.
     */
    protected $region_area;
    /**
     * $shipping object.
     */
    protected $shipping;
    /**
     * $region_surcharge object.
     */
    protected $region_surcharge;

    /**
     * Constructor.
     */
    public function __construct(\B2buy\Shipping\Interfaces\RegionRepositoryInterface $region,
        \B2buy\Shipping\Interfaces\RegionAreaRepositoryInterface $region_area,
        \B2buy\Shipping\Interfaces\ShippingRepositoryInterface $shipping,
        \B2buy\Shipping\Interfaces\RegionSurchargeRepositoryInterface $region_surcharge)
    {
        $this->region = $region;
        $this->region_area = $region_area;
        $this->shipping = $shipping;
        $this->region_surcharge = $region_surcharge;
    }

    /**
     * Returns count of shipping.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.region.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->region->pushCriteria(new \Litepie\B2buy\Repositories\Criteria\RegionUserCriteria());
        }

        $region = $this->region->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('shipping::' . $view, compact('region'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.region_area.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->region_area->pushCriteria(new \Litepie\B2buy\Repositories\Criteria\RegionAreaUserCriteria());
        }

        $region_area = $this->region_area->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('shipping::' . $view, compact('region_area'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.shipping.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->shipping->pushCriteria(new \Litepie\B2buy\Repositories\Criteria\ShippingUserCriteria());
        }

        $shipping = $this->shipping->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('shipping::' . $view, compact('shipping'))->render();
    }
    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.region_surcharge.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->region_surcharge->pushCriteria(new \Litepie\B2buy\Repositories\Criteria\RegionSurchargeUserCriteria());
        }

        $region_surcharge = $this->region_surcharge->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('shipping::' . $view, compact('region_surcharge'))->render();
    }
}
