<?php

namespace B2buy\Shipping\Workflow;

use B2buy\Shipping\Models\RegionArea;
use B2buy\Shipping\Notifications\RegionAreaWorkflow as RegionAreaNotifyer;
use Notification;

class RegionAreaNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param RegionArea $region_area
     *
     * @return void
     */
    public function complete(RegionArea $region_area)
    {
        return Notification::send($region_area->user, new RegionAreaNotifyer($region_area, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param RegionArea $region_area
     *
     * @return void
     */
    public function verify(RegionArea $region_area)
    {
        return Notification::send($region_area->user, new RegionAreaNotifyer($region_area, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param RegionArea $region_area
     *
     * @return void
     */
    public function approve(RegionArea $region_area)
    {
        return Notification::send($region_area->user, new RegionAreaNotifyer($region_area, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param RegionArea $region_area
     *
     * @return void
     */
    public function publish(RegionArea $region_area)
    {
        return Notification::send($region_area->user, new RegionAreaNotifyer($region_area, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param RegionArea $region_area
     *
     * @return void
     */
    public function archive(RegionArea $region_area)
    {
        return Notification::send($region_area->user, new RegionAreaNotifyer($region_area, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param RegionArea $region_area
     *
     * @return void
     */
    public function unpublish(RegionArea $region_area)
    {
        return Notification::send($region_area->user, new RegionAreaNotifyer($region_area, 'unpublish'));;

    }
}
