<?php

namespace B2buy\Shipping\Workflow;

use B2buy\Shipping\Models\Region;
use B2buy\Shipping\Notifications\RegionWorkflow as RegionNotifyer;
use Notification;

class RegionNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Region $region
     *
     * @return void
     */
    public function complete(Region $region)
    {
        return Notification::send($region->user, new RegionNotifyer($region, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Region $region
     *
     * @return void
     */
    public function verify(Region $region)
    {
        return Notification::send($region->user, new RegionNotifyer($region, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Region $region
     *
     * @return void
     */
    public function approve(Region $region)
    {
        return Notification::send($region->user, new RegionNotifyer($region, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Region $region
     *
     * @return void
     */
    public function publish(Region $region)
    {
        return Notification::send($region->user, new RegionNotifyer($region, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Region $region
     *
     * @return void
     */
    public function archive(Region $region)
    {
        return Notification::send($region->user, new RegionNotifyer($region, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Region $region
     *
     * @return void
     */
    public function unpublish(Region $region)
    {
        return Notification::send($region->user, new RegionNotifyer($region, 'unpublish'));;

    }
}
