<?php

namespace B2buy\Shipping\Workflow;

use B2buy\Shipping\Models\Shipping;
use B2buy\Shipping\Notifications\ShippingWorkflow as ShippingNotifyer;
use Notification;

class ShippingNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Shipping $shipping
     *
     * @return void
     */
    public function complete(Shipping $shipping)
    {
        return Notification::send($shipping->user, new ShippingNotifyer($shipping, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Shipping $shipping
     *
     * @return void
     */
    public function verify(Shipping $shipping)
    {
        return Notification::send($shipping->user, new ShippingNotifyer($shipping, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Shipping $shipping
     *
     * @return void
     */
    public function approve(Shipping $shipping)
    {
        return Notification::send($shipping->user, new ShippingNotifyer($shipping, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Shipping $shipping
     *
     * @return void
     */
    public function publish(Shipping $shipping)
    {
        return Notification::send($shipping->user, new ShippingNotifyer($shipping, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Shipping $shipping
     *
     * @return void
     */
    public function archive(Shipping $shipping)
    {
        return Notification::send($shipping->user, new ShippingNotifyer($shipping, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Shipping $shipping
     *
     * @return void
     */
    public function unpublish(Shipping $shipping)
    {
        return Notification::send($shipping->user, new ShippingNotifyer($shipping, 'unpublish'));;

    }
}
